LineBuffer Class Reference

`#include <line_buffer.h>`

## Public Member Functions

void | append (const char *line, size_t size)
bool | has_lines ()
const char * | c_str ()
std::string | get_next_line ()

## Detailed Description

After appending, data can be retrieved as lines.

Definition at line 27 of file line_buffer.h.

## Member Function Documentation

## append()

void LineBuffer::append | ( | const char * | line,
|  | size_t | size
| ) |  |

Insert data in buffer.

Definition at line 28 of file line_buffer.cpp.

## c_str()

const char * LineBuffer::c_str | ( |  | ) |

Peek the complete buffer contents.

Definition at line 34 of file line_buffer.cpp.

## get_next_line()

std::string LineBuffer::get_next_line | ( |  | ) |

Return and remove first line in buffer, possibly "".

Definition at line 40 of file line_buffer.cpp.

## has_lines()

bool LineBuffer::has_lines | ( |  | ) |

Check if get_next_line() returns a non-empty string.

Definition at line 22 of file line_buffer.cpp.

The documentation for this class was generated from the following files:

- /home/mk/tmp/lirc/lib/line_buffer.h (6f8ea22 2016-08-09 14:47:27 +0200)
- /home/mk/tmp/lirc/lib/line_buffer.cpp (6f8ea22 2016-08-09 14:47:27 +0200)